NetInfo (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class NetInfo

    java.lang.Object
      org.hyperic.sigar.NetInfo

All Implemented Interfaces:
  java.io.Serializable

    public class NetInfo

extends java.lang.Object
implements java.io.Serializable

NetInfo sigar class.

See Also:
  Serialized Form

Constructor Summary
`NetInfo()`

Method Summary
`void` | `gather(Sigar sigar)`
`java.lang.String` | `getDefaultGateway()` Get the default_gateway.
`java.lang.String` | `getDomainName()` Get the domain_name.
`java.lang.String` | `getHostName()` Get the host_name.
`java.lang.String` | `getPrimaryDns()` Get the primary_dns.
`java.lang.String` | `getSecondaryDns()` Get the secondary_dns.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetInfo

    public NetInfo()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getDefaultGateway

    public java.lang.String getDefaultGateway()

  Get the default_gateway.

  Supported Platforms: Undocumented.

  Returns:
    default_gateway

### getHostName

    public java.lang.String getHostName()

  Get the host_name.

  Supported Platforms: Undocumented.

  Returns:
    host_name

### getDomainName

    public java.lang.String getDomainName()

  Get the domain_name.

  Supported Platforms: Undocumented.

  Returns:
    domain_name

### getPrimaryDns

    public java.lang.String getPrimaryDns()

  Get the primary_dns.

  Supported Platforms: Undocumented.

  Returns:
    primary_dns

### getSecondaryDns

    public java.lang.String getSecondaryDns()

  Get the secondary_dns.

  Supported Platforms: Undocumented.

  Returns:
    secondary_dns

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.